pkcs11_inspect(1)

NAME
pkcs11_inspect - print certificate contents

SYNOPSIS
pkcs11_inspect [debug] [config_file=<filename>]

DESCRIPTION
pkcs11_inspect uses the pam_pkcs11 library infrastructure to get the content of a certificate and display it.

pkcs11_inspect uses the same configuration file and arguments than pam_pkcs11(8) PAM module. It loads defined mapper modules, and use them to look into the certificate for required entries (ie: ms_mapper looks for ms UPN entries, and so on).

When a mapper module finds a proper entry in the certificate, it converts to UTF-8 and print it to stdout.

OPTIONS

debug
    Enable debugging output.

config_file=<filename>
    Sets the configuration file to use. Default value is /etc/pam_pkcs11/pam_pkcs11.conf.

As it uses the same configuration file as pam_pkcs11, all pam_pkcs11 options are also available. Note that some of them have no sense in a non-PAM environment, so they will be ignored. Some mapper options (mapfile, ignorecase) have no effect on certificate contents, so they will be ignored too.

RETURN VALUE
On success pkcs11_inspect prints on stdout all certificate contents that are found for mappers and returns 0.

On error it returns 1.

FILES

/etc/pam_pkcs11/pam_pkcs11.conf

EXAMPLES
To run this program the standard way, insert a smart card in the reader and type:

 pkcs11_inspect

Alternatively you can specify options:

 pkcs11_inspect debug config_file=${HOME}/.pam_pkcs11.conf

AUTHORS

Juan Antonio Martinez <jonsito@teleline.es>

SEE ALSO
pam_pkcs11(8), pklogin_finder(1)
PAM-PKCS11 User Manual